## ppscsi 0.2

=== debian/changelog ===
ppscsi (0.2) unstable; urgency=low

  * Changed the architecture to all, also moved the kernel check to the right
    position (closes: #243937)
  * corrected Depends: and Build-Depends:

 -- Eduard Bloch <blade@debian.org>  Wed, 31 Mar 2004 12:18:46 +0200

ppscsi (0.1) unstable; urgency=low

  * Initial Release.

 -- Eduard Bloch <blade@debian.org>  Tue, 30 Mar 2004 12:49:18 +0200
