## ppscsi 0.3

=== addons/Makefile ===

KERNEL_DIR?=/usr/src/linux

obj-m := ppscsi.o onscsi.o vpi0.o t358.o sparcsi.o epst.o epsa2.o t348.o

EXTRA_CFLAGS= -I$(shell pwd)

all:
	$(MAKE) modules -C $(KERNEL_DIR) SUBDIRS=$(shell pwd)
