=== debian/changelog ===
ppscsi (0.3) unstable; urgency=medium

  * updated kpatches entries to recent kernels
  * added a modified version (s,scsi_sleep,ssleep,) for kernel versions 
    2.6.9, 2.6.10, 2.6.11, thanks to Ed Murray <edd@avenuedesign.net>
  * installing forgotten postinst in the modules source (depmod was not
    executed automaticaly)

 -- Eduard Bloch <blade@debian.org>  Tue, 30 Nov 2004 23:51:25 +0100
