=== debian/control ===
Source: ppscsi
Priority: extra
Maintainer: Eduard Bloch <blade@debian.org>
Build-Depends: debhelper (>= 4.0.0), patch, dh-kpatches (>= 0.99.17), bzip2
Standards-Version: 3.6.0

Package: ppscsi-source
Section: devel
Architecture: all
Depends: ${shlis:Depends}, ${misc:Depends}, module-assistant, debhelper, make, bzip2
Description: drivers for SCSI emulating devices on parallel port
 This package builds modules (for kernel 2.6) to support SCSI emulation
 over parallel port, used in many scanners. The supported models are:
 .
 - Adaptec APA-348 adapter
 - Adaptec APA-358 adapter
 - Iomega VPI0 adapter
 - OnSpec 90c26 adapter
 - Shining SparSCI adapter
 - Shuttle EPSA-2 adapter
 - Shuttle EPST adapter
 - NCR53c406a SCSI adapter

Package: kernel-patch-ppscsi-2.6
Architecture: all
Section: devel
Depends: ${kpatch:Depends}
Suggests: kernel-source-2.6, kernel-package
Description: patch to support SCSI emulation over parallel port
 This package contains a patch for Linux kernel 2.6.x to support common
 parallel port periphery devices like scanners, which use SCSI protocol
 internaly.
 .
 The kernel source must be modified in order to compile the modules. If
 you don't like this, use the package ppscsi-source to build separate
 modules packages.
