=== debian/rules ===
--- 
+++ 
@@ -44,7 +44,7 @@
 	dh_clean -k 
 	dh_installdirs
 	cp scsi/* addons/* README.ppscsi debian/ppscsi-source/usr/src/modules/ppscsi/
-	cd debian && cp -a control control.modules.in changelog rules copyright compat docs $(CURDIR)/debian/ppscsi-source/usr/src/modules/ppscsi/debian
+	cd debian && cp -a control *.modules.in changelog rules copyright compat docs $(CURDIR)/debian/ppscsi-source/usr/src/modules/ppscsi/debian
 	cd debian/ppscsi-source/usr/src && tar c modules | bzip2 -9 > ppscsi.tar.bz2 && rm -rf modules
 
 binary-arch: build install
